View Bug Details

IDProjectCategoryView StatusLast Update
0002262DCP-o-maticBugspublic2022-07-22 23:30
Reportercarl Assigned Tocarl  
PriorityhighSeveritymajorReproducibilityhave not tried
Status feedbackResolutionopen 
Target Version2.16.20 
Summary0002262: Some .ASS formatting details not respected
Description

https://dcpomatic.com/forum/viewtopic.php?p=8761#p8761

TagsNo tags attached.
Branch2262-ass
Estimated weeks required
Estimated work requiredUndecided

Relationships

related to 0002264 resolvedcarl DoM does not search the system for the .ttf/.otf for a fonts specified by (e.g.) an ASS files 

Activities

carl

2022-07-15 21:13

administrator   ~0005137

Log says

Sun 10 Jul 15:27:28 2022: Searched system for font Arial; nothing found
Sun 10 Jul 15:27:28 2022: Searched system for font Arial Black; nothing found
Sun 10 Jul 15:27:28 2022: Searched system for font Helvetica; nothing found
Sun 10 Jul 15:27:28 2022: Searched system for font Helvetica Neue; nothing found
Sun 10 Jul 15:27:28 2022: Searched system for font Tahoma; nothing found
Sun 10 Jul 15:27:28 2022: Searched system for font Verdana; nothing found

carl

2022-07-15 22:03

administrator   ~0005138

I see the same problem on the big sur VM.

carl

2022-07-15 22:10

administrator   ~0005139

Remaining problems ssem to be:

  • Wrong fonts are used
  • Font size displays larger than in the original (Helvetica Neue 60pt)
  • The middle alignment is a little higher

carl

2022-07-15 23:17

administrator   ~0005140

Seems to work OK on catalina.

carl

2022-07-15 23:29

administrator   ~0005141

Last edited: 2022-07-16 00:31

Building 7e99851d287413ffb983e8f86b15c8a2748d379d for macOS to test on big sur.

carl

2022-07-16 12:10

administrator   ~0005142

On Big Sur

Sat Jul 16 13:09:17 2022: Searching system for font Arial
Sat Jul 16 13:09:17 2022: 0 candidate fonts found
Sat Jul 16 13:09:17 2022: Searched system for font Arial; nothing found
Sat Jul 16 13:09:17 2022: Searching system for font Arial Black
Sat Jul 16 13:09:17 2022: 0 candidate fonts found
Sat Jul 16 13:09:17 2022: Searched system for font Arial Black; nothing found
Sat Jul 16 13:09:17 2022: Searching system for font Helvetica
Sat Jul 16 13:09:17 2022: 0 candidate fonts found
Sat Jul 16 13:09:17 2022: Searched system for font Helvetica; nothing found
Sat Jul 16 13:09:17 2022: Searching system for font Helvetica Neue
Sat Jul 16 13:09:17 2022: 0 candidate fonts found
Sat Jul 16 13:09:17 2022: Searched system for font Helvetica Neue; nothing found
Sat Jul 16 13:09:17 2022: Searching system for font Tahoma
Sat Jul 16 13:09:17 2022: 0 candidate fonts found
Sat Jul 16 13:09:17 2022: Searched system for font Tahoma; nothing found
Sat Jul 16 13:09:17 2022: Searching system for font Verdana
Sat Jul 16 13:09:17 2022: 0 candidate fonts found
Sat Jul 16 13:09:17 2022: Searched system for font Verdana; nothing found

carl

2022-07-17 22:10

administrator   ~0005144

Locally-built version on Big Sur works.

carl

2022-07-17 23:34

administrator   ~0005145

Looks like it might just be due to missing <dir> entries in the macOS fonts.conf; building 811a90541abe3020bb7f0cf8537c52b7494edc09 to test on Big Sur.

If not, a good way to debug is to re-build fontconfig on Big Sur and copy the dylib into a failing DoM .app.

carl

2022-07-20 09:41

administrator   ~0005152

Merged various fixes to main for 2.16.19 - let's see how that looks.

Bug History

Date Modified Username Field Change
2022-05-30 14:29 carl New Bug
2022-05-30 14:29 carl Assigned To => carl
2022-05-30 14:29 carl Status new => acknowledged
2022-05-30 22:36 carl Relationship added related to 0002264
2022-06-10 22:34 carl Target Version 2.16.14 => 2.16.15
2022-06-21 18:25 carl Target Version 2.16.15 => 2.16.16
2022-06-28 11:36 carl Priority normal => high
2022-06-28 11:36 carl Estimated work required => Undecided
2022-06-28 11:36 carl Target Version 2.16.16 => 2.16.x
2022-07-02 23:13 carl Target Version 2.16.x => 2.16.17
2022-07-05 22:08 carl Branch => 2262-ass
2022-07-05 22:08 carl Status acknowledged => in progress
2022-07-09 20:00 carl Status in progress => feedback
2022-07-09 21:12 carl Target Version 2.16.17 => 2.16.18
2022-07-15 21:13 carl Note Added: 0005137
2022-07-15 22:03 carl Note Added: 0005138
2022-07-15 22:10 carl Note Added: 0005139
2022-07-15 23:17 carl Note Added: 0005140
2022-07-15 23:29 carl Note Added: 0005141
2022-07-16 00:31 carl Note Edited: 0005141
2022-07-16 12:10 carl Note Added: 0005142
2022-07-17 22:10 carl Note Added: 0005144
2022-07-17 23:34 carl Note Added: 0005145
2022-07-17 23:35 carl Status feedback => confirmed
2022-07-17 23:43 carl Status confirmed => in progress
2022-07-20 09:41 carl Status in progress => feedback
2022-07-20 09:41 carl Note Added: 0005152
2022-07-22 23:30 carl Target Version 2.16.18 => 2.16.20